<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUserLoginMinimalData Parameters
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfUserLoginMinimalData
 * @subpackage Arrays
 */
class ArrayOfUserLoginMinimalData extends AbstractStructArrayBase
{
    /**
     * The UserLoginMinimalData
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var UserLoginMinimalData[]
     */
    public $UserLoginMinimalData;
    /**
     * Constructor method for ArrayOfUserLoginMinimalData
     * @uses ArrayOfUserLoginMinimalData::setUserLoginMinimalData()
     * @param UserLoginMinimalData[] $userLoginMinimalData
     */
    public function __construct(array $userLoginMinimalData = array())
    {
        $this
            ->setUserLoginMinimalData($userLoginMinimalData);
    }
    /**
     * Get UserLoginMinimalData value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return UserLoginMinimalData[]|null
     */
    public function getUserLoginMinimalData()
    {
        return isset($this->UserLoginMinimalData) ? $this->UserLoginMinimalData : null;
    }
    /**
     * This method is responsible for validating the values passed to the setUserLoginMinimalData method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUserLoginMinimalData method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUserLoginMinimalDataForArrayConstraintsFromSetUserLoginMinimalData(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUserLoginMinimalDataUserLoginMinimalDataItem) {
            // validation for constraint: itemType
            if (!$arrayOfUserLoginMinimalDataUserLoginMinimalDataItem instanceof UserLoginMinimalData) {
                $invalidValues[] = is_object($arrayOfUserLoginMinimalDataUserLoginMinimalDataItem) ? get_class($arrayOfUserLoginMinimalDataUserLoginMinimalDataItem) : sprintf('%s(%s)', gettype($arrayOfUserLoginMinimalDataUserLoginMinimalDataItem), var_export($arrayOfUserLoginMinimalDataUserLoginMinimalDataItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The UserLoginMinimalData property can only contain items of type UserLoginMinimalData, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set UserLoginMinimalData value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param UserLoginMinimalData[] $userLoginMinimalData
     * @return ArrayOfUserLoginMinimalData
     */
    public function setUserLoginMinimalData(array $userLoginMinimalData = array())
    {
        // validation for constraint: array
        if ('' !== ($userLoginMinimalDataArrayErrorMessage = self::validateUserLoginMinimalDataForArrayConstraintsFromSetUserLoginMinimalData($userLoginMinimalData))) {
            throw new \InvalidArgumentException($userLoginMinimalDataArrayErrorMessage, __LINE__);
        }
        if (is_null($userLoginMinimalData) || (is_array($userLoginMinimalData) && empty($userLoginMinimalData))) {
            unset($this->UserLoginMinimalData);
        } else {
            $this->UserLoginMinimalData = $userLoginMinimalData;
        }
        return $this;
    }
    /**
     * Add item to UserLoginMinimalData value
     * @throws \InvalidArgumentException
     * @param UserLoginMinimalData $item
     * @return ArrayOfUserLoginMinimalData
     */
    public function addToUserLoginMinimalData(UserLoginMinimalData $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof UserLoginMinimalData) {
            throw new \InvalidArgumentException(sprintf('The UserLoginMinimalData property can only contain items of type UserLoginMinimalData, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->UserLoginMinimalData[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return UserLoginMinimalData|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return UserLoginMinimalData|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return UserLoginMinimalData|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return UserLoginMinimalData|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return UserLoginMinimalData|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string UserLoginMinimalData
     */
    public function getAttributeName()
    {
        return 'UserLoginMinimalData';
    }
}
