<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UserAddressData' => 'UserAddressData',
            'ContactPersonData' => 'ContactPersonData',
            'ArrayOfUserLoginMinimalData' => 'ArrayOfUserLoginMinimalData',
            'UserLoginMinimalData' => 'UserLoginMinimalData',
            'LoginUserRequest' => 'LoginUserRequest',
            'Request' => 'Request',
            'LoginUserResponse' => 'LoginUserResponse',
            'Response' => 'Response',
            'CheckUsernameForAvailabilityRequest' => 'CheckUsernameForAvailabilityRequest',
            'CheckUsernameForAvailabilityResponse' => 'CheckUsernameForAvailabilityResponse',
            'CheckSessionForExistenceRequest' => 'CheckSessionForExistenceRequest',
            'SessionRequest' => 'SessionRequest',
            'CheckSessionForExistenceResponse' => 'CheckSessionForExistenceResponse',
            'RegistrateUserRequest' => 'RegistrateUserRequest',
            'RegistrateUserResponse' => 'RegistrateUserResponse',
            'DeactivateUserRequest' => 'DeactivateUserRequest',
            'DeactivateUserResponse' => 'DeactivateUserResponse',
            'ChangeUserDataRequest' => 'ChangeUserDataRequest',
            'ChangeUserDataResponse' => 'ChangeUserDataResponse',
            'GetUserDataFromSessionIdResponse' => 'GetUserDataFromSessionIdResponse',
            'GetSalesDataFromSessionIdResponse' => 'GetSalesDataFromSessionIdResponse',
            'GetAllLoginsForAddressOfThisSessionIdResponse' => 'GetAllLoginsForAddressOfThisSessionIdResponse',
            'ResendPasswordRequest' => 'ResendPasswordRequest',
            'ResendPasswordResponse' => 'ResendPasswordResponse',
            'SetExternalSessionIdRequest' => 'SetExternalSessionIdRequest',
            'SetExternalSessionIdResponse' => 'SetExternalSessionIdResponse',
            'GetExternalSessionIdResponse' => 'GetExternalSessionIdResponse',
            'ConfirmDoubleOptInRequest' => 'ConfirmDoubleOptInRequest',
            'ConfirmDoubleOptInResponse' => 'ConfirmDoubleOptInResponse',
            'NewsletterUnsubscribeRequest' => 'NewsletterUnsubscribeRequest',
            'NewsletterUnsubscribeResponse' => 'NewsletterUnsubscribeResponse',
            'LoginUser' => 'LoginUser',
            'CheckUsernameForAvailability' => 'CheckUsernameForAvailability',
            'CheckSessionForExistence' => 'CheckSessionForExistence',
            'RegistrateUser' => 'RegistrateUser',
            'DeactivateUser' => 'DeactivateUser',
            'ChangeUserData' => 'ChangeUserData',
            'GetUserDataFromSessionId' => 'GetUserDataFromSessionId',
            'GetSalesDataFromSessionId' => 'GetSalesDataFromSessionId',
            'GetAllLoginsForAddressOfThisSessionId' => 'GetAllLoginsForAddressOfThisSessionId',
            'ResendPassword' => 'ResendPassword',
            'SetExternalSessionId' => 'SetExternalSessionId',
            'GetExternalSessionId' => 'GetExternalSessionId',
            'NewsletterConfirmDoubleOptIn' => 'NewsletterConfirmDoubleOptIn',
            'NewsletterConfirmDoubleOptInResponse' => 'NewsletterConfirmDoubleOptInResponse',
            'NewsletterUnsubscribe' => 'NewsletterUnsubscribe',
        );
    }
}
