<?php
use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for In Operations
 * @subpackage Services
 */
class In extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named NewsletterConfirmDoubleOptIn
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param NewsletterConfirmDoubleOptIn $parameters
     * @return NewsletterConfirmDoubleOptInResponse|bool
     */
    public function NewsletterConfirmDoubleOptIn(NewsletterConfirmDoubleOptIn $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->NewsletterConfirmDoubleOptIn($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return NewsletterConfirmDoubleOptInResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
